GNU bug report logs - #56150
[PATCH 0/2][core-updates] gnu: mesa: Update to 22.1.2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: John Kehayias <john.kehayias@HIDDEN>; Keywords: patch; dated Wed, 22 Jun 2022 15:33:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56150 <at> debbugs.gnu.org:


Received: (at 56150) by debbugs.gnu.org; 2 Jul 2022 01:24:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 21:24:55 2022
Received: from localhost ([127.0.0.1]:39410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o7RsS-0001N6-JE
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2022 21:24:55 -0400
Received: from tobias.gr ([80.241.217.52]:43346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1o7RsP-0001Mt-Hv
 for 56150 <at> debbugs.gnu.org; Fri, 01 Jul 2022 21:24:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=4lUbrv6S4v1l8
 zVrfzSjNyBCfcPKRXONuSgt5MoC4e0=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=pUt+PkxpzZiZCoVl947p5Dylb4A6qJS+y/dQSRJQv
 sN4pN0WnN0GyiQ4O8LupEydXxBneDbGXvKQr79Uo1cAJfVjTkkWm71E/LNmP8SRzQGJX7a
 +hQdrTVl6fYznJ32ABimXC/IGGsCF8Diu5JFXytXI1Ey95tcZM+ESsBvOt8075amyhnVvV
 qghZibvN/by3DnJ9hpIWChQn/9EM6EMbwtcLehMwDL3R1MH/fjGVkjwVWucIFmSdVAEMOb
 Ap5qzYYH8mcfO0UaASJ/NbI8QEw0M9Xf30D+cB2wu/prtoizKDyUxoqSh1ljEY8GW0z/Q7
 nyG1gYFoppRLNqbmPD8ZA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id 4a34969d;
 Sat, 2 Jul 2022 01:24:46 +0000 (UTC)
MIME-Version: 1.0
Date: Sat, 02 Jul 2022 03:24:45 +0200
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#56150] [PATCH 0/2][core-updates] gnu: mesa: Update to 22.1.2.
In-Reply-To: <ZykL1niXX_9wz63LxgqXHX7CJqfV7ZaFn9-SEzYscU4VdGDA9BDI3VHo13ZVKk0wl56ITVuVrGRS42xJMPXIZ4rflBXfkNGOCA1AIhcr_8Y=@protonmail.com>
References: <ZykL1niXX_9wz63LxgqXHX7CJqfV7ZaFn9-SEzYscU4VdGDA9BDI3VHo13ZVKk0wl56ITVuVrGRS42xJMPXIZ4rflBXfkNGOCA1AIhcr_8Y=@protonmail.com>
Message-ID: <869d4cf49014496f9433ffa646d03a07@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56150
Cc: 56150 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I enjoyed a system based on this Mesa for a good week before laptop went 
boom (for, I should add, unrelated reasons).  This enjoyment included 
much VAAPIs, Minetests, and all the good stuff.

For those worried about older hardware, I'll add that said machine is an 
X230T from 2012 with 'Intel HD 4000' graphics (so 3rd generation Intel).

In other words, LGTM,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to guix-patches@HIDDEN:
bug#56150; Package guix-patches. Full text available.

Message received at 56150 <at> debbugs.gnu.org:


Received: (at 56150) by debbugs.gnu.org; 22 Jun 2022 15:37:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 11:37:32 2022
Received: from localhost ([127.0.0.1]:36362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o42Q8-0004WN-0h
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:37:32 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:44167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o42Q5-0004W8-VV
 for 56150 <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:37:30 -0400
Date: Wed, 22 Jun 2022 15:37:16 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655912244; x=1656171444;
 bh=kPbvhORD+Grlf1nDX391mEoTeUNnKJXX/BTgUll+PdU=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=tvNdwk/72WOb5g1siv8evfFOmPj80JIJcJvvwzSOW+biVgRbyXxK2G2/kjZcuovX6
 QWDcROfkAu1fNRGAky6x/YYWOYkSFbZFVIK+QKz5N9IV5+VGq0alurrj1/JPY9a3c3
 /7t8xUPboq3jHvVEXKbs6gUjyI4hlSnk1n/hI4nCoUypFPaTOF7ay/BDGBBpkh0qHm
 QxqP9yg0VzgDQKx2v6lwd+7ZghYmbzqgMWgnHvc9eLoWc5fFsli9zrtKxR0xOa3Krm
 jbF0kvghvGZDwjj3eOr7cUki31G0UPkehr6eSN5rZBTX2zjrY4mEBO9Cxe4vNfIR41
 7ubwe4nIDZZzQ==
To: "56150 <at> debbugs.gnu.org" <56150 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH 0/2][core-updates] gnu: mesa: Update to 22.1.2.
Message-ID: <sAT7QwsbVOtl74Vq3lQpLilciZNyVleA4prRYyuanVp5Ra7vh5FEzvrA2YzHNpxO6fg4wqhY3xP0DnOQvluYUvYobnnMTncmj5Js_SbfQiw=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56150
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I forgot to mention that while I tagged this for core-updates due to the nu=
mber of rebuilds (and since core-updates should be the next big merge comin=
g?), I wrote and tested this only on master. There one needs the libdrm and=
 wayland-protocols updates from core-updates (just a version bump). I didn'=
t include those changes since they have already been made on core-updates.




Information forwarded to guix-patches@HIDDEN:
bug#56150; Package guix-patches. Full text available.

Message received at 56150 <at> debbugs.gnu.org:


Received: (at 56150) by debbugs.gnu.org; 22 Jun 2022 15:35:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 11:35:00 2022
Received: from localhost ([127.0.0.1]:36354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o42Ng-0004S4-Fr
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:35:00 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:37051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o42Nd-0004Rr-Io
 for 56150 <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:34:58 -0400
Date: Wed, 22 Jun 2022 15:34:46 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655912091; x=1656171291;
 bh=PgNFBrJ1fBP9RudDzXCgJ9LMGyZ2L+JsGC3ngw+NDTk=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=h7r5efPJSwq7/n0EPe9XquQiDJFEQ1RTqAxVrPtokkvcCjW0hA8HUu2IW8ZVY97uj
 HYvlniNsdtCHWi3/3520n/hRAgqHmv0HIFJPg5Fv7rvzASH1sMHCMb8DZVguibmhKy
 9njCZbviwsH/15v6w05VMWdNh9lUAXkTKmACU0PE++LPrHR7HMcfe0zefjXFU0bLma
 c5ZH8/nWhHFnbPnUk73KhL2vXNcHaCgRVvr2a8wKaPdWofXw8fsj8yAWUuVx7CFpx3
 ulj0udLWsW/oOf9SyBPC1FM8orIlUsRNbrwL5adWbkOe/PfpIikPKFr1PdAC89i+dI
 4x25JjR/gWfRQ==
To: "56150 <at> debbugs.gnu.org" <56150 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 2/2] gnu: mesa: Update configure flags.
Message-ID: <OjI5zciS0ZOA6Ov7z9C-qoa-tZULYdr3sSuI4upIAUv-bsqs0VKjSjK-gpPT5sh6MXv7FhORL9uLtwMTkvXM65eFRiciajLYIhhMfWYlMBw=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_rpRfRjVF4OhXfE01CPuRcAYcyXJwZzuEuI5QSmcnk"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56150
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_rpRfRjVF4OhXfE01CPuRcAYcyXJwZzuEuI5QSmcnk
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_rpRfRjVF4OhXfE01CPuRcAYcyXJwZzuEuI5QSmcnk
Content-Type: text/x-patch; name=0002-gnu-mesa-Update-configure-flags.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0002-gnu-mesa-Update-configure-flags.patch
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--b1_rpRfRjVF4OhXfE01CPuRcAYcyXJwZzuEuI5QSmcnk--





Information forwarded to guix-patches@HIDDEN:
bug#56150; Package guix-patches. Full text available.

Message received at 56150 <at> debbugs.gnu.org:


Received: (at 56150) by debbugs.gnu.org; 22 Jun 2022 15:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 11:34:50 2022
Received: from localhost ([127.0.0.1]:36350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o42NM-0004RY-7B
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:34:50 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:59651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o42NJ-0004R9-IU
 for 56150 <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:34:38 -0400
Date: Wed, 22 Jun 2022 15:34:21 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655912071; x=1656171271;
 bh=SdhgiQSbBZlFDggWxYrxLX/5oFSqALU1O3JTfQNS4Jk=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=K9meRX1viavxKCWqXglf2xRscxtYgdMg24wlFdDPdoxfKIVmri9mq6cY59rt5BvJJ
 MagzXqATT+6kzHY21X0PIqGz9XffONvr2w0yKRGsZWY4mHYts/T+7lnsf6uN1NBqjd
 lvO1PV6OOCkFjJlyQbs8zRFxLfmkK7TLXW7l04W7QRuoxq3zsabSYG7oI9dtuJAM5t
 of8wJoUbSsy6lSHlw+LR7pzDWl7d2nlUdE99XrlgBf1kkRNXH2woj4qcMmnHVChclh
 W/S8Y1W8rnQOWMqsfDEUZQVseRTlhZ2sSWqfBcAiO2PSGOKwvmIv+uQIx7JcN1woF7
 zUYPtwUTANuww==
To: "56150 <at> debbugs.gnu.org" <56150 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 1/2] gnu: mesa: Update to 22.1.2.
Message-ID: <1OKhnGPP9yskCkMkUJ566lQQ0kPPm4zVMBtCdFxvPKMEeixjYGwu2Yt-0ZJdfmolGuIq-qPXn-pJe7xdgz9AuNrTdYeZEJfuLzcROMSWoAI=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_QUHl7BdDGS8GbNelqaWMIqb9XqDcGZ6Vqm5ZAW1UcJw"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56150
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_QUHl7BdDGS8GbNelqaWMIqb9XqDcGZ6Vqm5ZAW1UcJw
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_QUHl7BdDGS8GbNelqaWMIqb9XqDcGZ6Vqm5ZAW1UcJw
Content-Type: text/x-patch; name=0001-gnu-mesa-Update-to-22.1.2.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-mesa-Update-to-22.1.2.patch
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--b1_QUHl7BdDGS8GbNelqaWMIqb9XqDcGZ6Vqm5ZAW1UcJw--





Information forwarded to guix-patches@HIDDEN:
bug#56150; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2022 15:32:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 11:32:14 2022
Received: from localhost ([127.0.0.1]:36337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o42Kz-0004NF-U9
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:32:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:42748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1o42Ks-0004N2-Qe
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 11:32:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45778)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.kehayias@HIDDEN>)
 id 1o42Ks-0002uM-KQ
 for guix-patches@HIDDEN; Wed, 22 Jun 2022 11:32:06 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:60520)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.kehayias@HIDDEN>)
 id 1o42Kp-0007ep-7Y
 for guix-patches@HIDDEN; Wed, 22 Jun 2022 11:32:06 -0400
Date: Wed, 22 Jun 2022 15:31:52 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1655911920; x=1656171120;
 bh=H217pn4TR6vxh/GM6qmVUc/mFIi2yPTkJIwCD7jtacc=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=Sq1AgxSjF6/Pq1eej7GNnloyVfS2W60EYzuzfI0NiobNfSwA6de/34MIOHHzcS44T
 /UOQpQ2y1WeacKGeqOzs2w8WaADnyZEZRBcqNo/Febel5BJgBuFtejKLdZvkEaZjMN
 WlzD23jSOou5cxvjtsRRdtWAdduk7Z48TiTuah8ec6ekdHAcJV7Bctf80KDSmeG8Yt
 e+YpBSIY90po9PmDNuvFrBJiPjAb6Amg+ofA9PmTdfJiipIxXUfwI7EwIv2NNeM9UK
 czp11BBAYZBfAE+3F0Fr70fFylWU8dBpvjVbCo0ygHvyDZACJtiaeyEudv7MbzrHfE
 RoOkU4rh7NHkw==
To: Guix-patches <guix-patches@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 0/2][core-updates] gnu: mesa: Update to 22.1.2.
Message-ID: <ZykL1niXX_9wz63LxgqXHX7CJqfV7ZaFn9-SEzYscU4VdGDA9BDI3VHo13ZVKk0wl56ITVuVrGRS42xJMPXIZ4rflBXfkNGOCA1AIhcr_8Y=@protonmail.com>
Feedback-ID: 7805494:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=185.70.40.134;
 envelope-from=john.kehayias@HIDDEN; helo=mail-40134.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Guix,

Incoming are two patches to update Mesa to the latest stable version, 22.1.=
2 (as of this writing, they move quickly though).

The first patch does the update which needed to drop the configure-flag dri=
-drivers as those have been dropped from Mesa. They do exist on an alternat=
ive branch, but should only be for really old hardware, while there are mor=
e current drivers that have been in Mesa for years (the Gallium ones). The =
configure-flag we had set needed to be dropped for Mesa to build. I could a=
lso reenable a test on i686 that was disabled due to it failing with an ups=
tream bug (now closed).

It is hard to parse all the codenames and hardware, but discussion on IRC l=
eads me to believe this is for probably 10+ year old hardware, while some o=
ld hardware is supported by newer drivers like the crocus one. Here is one =
place to see the announcement and related links: https://www.phoronix.com/s=
can.php?page=3Dnews_item&px=3DMesa-Classic-Retired

Second patch does a minor clean up to use "auto" where available for galliu=
m-drivers and vulkan-drivers. From parsing the meson build here: https://cg=
it.freedesktop.org/mesa/mesa/tree/meson.build I tried to make sure that the=
 "auto" setting is available for the listed architecture and that it has at=
 least as many drivers enabled as we had previously. For example, for vulka=
n-drivers on x86 it also adds the swrast driver. In other cases either "aut=
o" is not listed for the architecture or it has less drivers than what we c=
urrently  build. One effect is that the crocus and i915 Gallium drivers are=
 built, which I believe is needed to support some Intel hardware with the d=
ri-drivers dropped.

(I added my copyright line in the second patch, forgot it in the first.)

Note that I tested this builds for x86_64 and i686. I have not tried to run=
 anything with this Mesa nor build on other architectures.

Thanks,
John




Acknowledgement sent to John Kehayias <john.kehayias@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56150; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Jul 2022 01:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.